Subject: Re: sym scsi driver problem with 2.6.26 or newer debian kernel on p610 (fwd)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 24 Jun 2009 07:57:08 +1000

> I tried on a POWER3 box I have here "IBM,7044-170" and things work fine
> here with current upstream. (I suspect a much smaller machine).
> 
> I will really need an actual bisection here... In the meantime, I'll see
> if I can get my hand on one of these machines here.

Ok so I think we may have found it... looks like
CONFIG_MPIC_BROKEN_REGREAD is what breaks it which is enabled by PA-Semi
support in the .config.

Can you verify that disabling PA-Semi support removes that option from
your .config and that once removed, it works again ?

We don't know yet -why- it breaks it, still investigating.

Cheers,
Ben.

> Cheers,
> Ben.
> 
> > Cheers,
> > Ben.
> > 
> > > Thanks: blackluck
> > > 
> > > Laszlo Fekete wrote:
> > > > Hello!
> > > >
> > > > I'm sorry about the annoyances, but I'd welcome all ideas, suggestions 
> > > > to see what needs to be done or should be tested for the solution.
> > > >
> > > > Thank you very much!
> > > >
> > > > Guennadi Liakhovetski wrote:
> > > >> Ok, first attempt to forward this to scsi was wrong, as pointed out 
> > > >> by Matthew Wilcox this does indeed look like an interrupt problem - 
> > > >> no interrupts drom SCSI, IDE, keyboar. Might be a known problem, I 
> > > >> guess. In any case, I think, the OP would be grateful for any hints.
> > > >>
> > > >> Thanks
> > > >> Guennadi
> > > >> ---
> > > >> Guennadi Liakhovetski, Ph.D.
> > > >> Freelance Open-Source Software Developer
> > > >> http://www.open-technology.de/
> > > >>
> > > >> ---------- Forwarded message ----------
> > > >> Date: Sat, 13 Jun 2009 16:22:07 +0200
> > > >> From: Laszlo Fekete <[email-masked]>
> > > >> To: [email-masked]
> > > >> Subject: sym scsi driver problem with 2.6.26 or newer debian kernel 
> > > >> on p610
> > > >> Resent-Date: Sat, 13 Jun 2009 14:29:55 +0000 (UTC)
> > > >> Resent-From: [email-masked]
> > > >>
> > > >> This is a multi-part message in MIME format.
> > > >> ------------------------------------------------------------------------
> > > >>
> > > >> Hello!
> > > >>
> > > >>
> > > >>
> > > >>
> > > >>
> > > >> Pls help me with sym scsi driver problem.
> > > >>
> > > >>
> > > >>
> > > >> I have Ibm P610 (and tested it on P630 and P640 too), installed debian
> > > >>
> > > >> etch and upgraded to lenny.
> > > >>
> > > >>
> > > >>
> > > >> But with 2.6.26 or newer kernel it's not booting, it's hang on sym scsi
> > > >>
> > > >> bus scan.
> > > >>
> > > >>
> > > >>
> > > >>
> > > >>
> > > >> Whats the problem with it, or how can I fix this?
> > > >>
> > > >>
> > > >>
> > > >>
> > > >>
> > > >> I attach the output from minicom with 2.6.29, 2.6.26, and the working
> > > >>
> > > >> 2.6.24 kernel booting.
> > > >>
> > > >>
> > > >>
> > > >>
> > > >>
> > > >> Thank you very much!
> > > >>
> > > >>
> > > >>   
> > > >
> > > >
> > > 
> > > _______________________________________________
> > > Linuxppc-dev mailing list
> > > [email-masked]
> > > https://lists.ozlabs.org/listinfo/linuxppc-dev
> > 
> > _______________________________________________
> > Linuxppc-dev mailing list
> > [email-masked]
> > https://lists.ozlabs.org/listinfo/linuxppc-dev
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev